[arch-commits] Commit in libmygpo-qt/trunk (PKGBUILD)

Antonio Rojas arojas at archlinux.org
Sun Apr 28 21:53:58 UTC 2019


    Date: Sunday, April 28, 2019 @ 21:53:57
  Author: arojas
Revision: 352220

Drop qt4 support

Modified:
  libmygpo-qt/trunk/PKGBUILD

----------+
 PKGBUILD |   38 ++++++++------------------------------
 1 file changed, 8 insertions(+), 30 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-04-28 21:42:56 UTC (rev 352219)
+++ PKGBUILD	2019-04-28 21:53:57 UTC (rev 352220)
@@ -2,15 +2,15 @@
 # Contributor: Andrea Scarpino <andrea at archlinux.org>
 
 pkgbase=libmygpo-qt
-pkgname=(libmygpo-qt4 libmygpo-qt5)
+pkgname=(libmygpo-qt5)
 pkgver=1.1.0
-pkgrel=1
+pkgrel=2
 pkgdesc='A C++/Qt client library for gpodder.net'
 arch=('x86_64')
 url="http://wiki.gpodder.org/wiki/Libmygpo-qt"
 license=('LGPL2.1')
-depends=('qjson')
-makedepends=('cmake' 'doxygen' 'qjson' 'qt5-base')
+depends=('qt5-base')
+makedepends=('cmake' 'doxygen' 'qt5-base')
 source=("http://stefan.derkits.at/files/libmygpo-qt/libmygpo-qt.${pkgver}.tar.gz"
         libmygpo-qt5.11a.patch::"https://github.com/gpodder/libmygpo-qt/commit/0d76d960.patch"
         libmygpo-qt5.11b.patch::"https://github.com/gpodder/libmygpo-qt/commit/1b53767b.patch")
@@ -19,46 +19,24 @@
             'a4d02a6d15eef8ce08888a4090f5cbb50f744d8af85011ee8e54e84e99756e75')
 
 prepare() {
+  mkdir -p build
+
   cd libmygpo-qt.${pkgver}
   patch -p1 -i ../libmygpo-qt5.11a.patch # Fix build with Qt 5.11
   patch -p1 -i ../libmygpo-qt5.11b.patch
-  cd ..
-
-  if [[ -d build ]]; then
-    rm -rf build
-  fi
-  mkdir build{4,5}
 }
 
 build() {
-  cd build4
+  cd build
   cmake ../libmygpo-qt.${pkgver} \
     -DCMAKE_BUILD_TYPE='Release' \
     -DCMAKE_INSTALL_PREFIX='/usr' \
-    -DBUILD_WITH_QT4=ON
-  make
-
-  cd ../build5
-  cmake ../libmygpo-qt.${pkgver} \
-    -DCMAKE_BUILD_TYPE='Release' \
-    -DCMAKE_INSTALL_PREFIX='/usr' \
     -DMYGPO_BUILD_TESTS=OFF
   make
 }
 
-package_libmygpo-qt4() {
-  depends=('qjson')
-  conflicts=('libmygpo-qt')
-  provides=('libmygpo-qt')
-  replaces=('libmygpo-qt')
-  cd build4
-
-  make DESTDIR="${pkgdir}" install
-}
-
 package_libmygpo-qt5() {
-  depends=('qt5-base')
-  cd build5
+  cd build
 
   make DESTDIR="${pkgdir}" install
 }


More information about the arch-commits mailing list